<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Uses of Class org.apache.commons.configuration2.tree.QueryResult (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.commons.configuration2.tree.QueryResult (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../org/apache/commons/configuration2/tree/QueryResult.html" title="class in org.apache.commons.configuration2.tree">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/commons/configuration2/tree/class-use/QueryResult.html" target="_top">Frames</a></li>
<li><a href="QueryResult.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class org.apache.commons.configuration2.tree.QueryResult" class="title">Uses of Class<br>org.apache.commons.configuration2.tree.QueryResult</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../org/apache/commons/configuration2/tree/QueryResult.html" title="class in org.apache.commons.configuration2.tree">QueryResult</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2">org.apache.commons.configuration2</a></td>
<td class="colLast">
<div class="block">
 The Configuration main package.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2.tree">org.apache.commons.configuration2.tree</a></td>
<td class="colLast">
<div class="block">
 A package with helper and utility classes used by hierarchical configurations.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2.tree.xpath">org.apache.commons.configuration2.tree.xpath</a></td>
<td class="colLast">
<div class="block">
 This package contains the <code>XPathExpressionEngine</code> class which
 enables XPATH support for querying configuration properties.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.apache.commons.configuration2">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../org/apache/commons/configuration2/tree/QueryResult.html" title="class in org.apache.commons.configuration2.tree">QueryResult</a> in <a href="../../../../../../org/apache/commons/configuration2/package-summary.html">org.apache.commons.configuration2</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/commons/configuration2/package-summary.html">org.apache.commons.configuration2</a> that return types with arguments of type <a href="../../../../../../org/apache/commons/configuration2/tree/QueryResult.html" title="class in org.apache.commons.configuration2.tree">QueryResult</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/tree/QueryResult.html" title="class in org.apache.commons.configuration2.tree">QueryResult</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html" title="type parameter in AbstractHierarchicalConfiguration">T</a>&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">AbstractHierarchicalConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#fetchNodeList-java.lang.String-">fetchNodeList</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key)</code>
<div class="block">Helper method for resolving the specified key.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/tree/QueryResult.html" title="class in org.apache.commons.configuration2.tree">QueryResult</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html" title="type parameter in AbstractHierarchicalConfiguration">T</a>&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">AbstractHierarchicalConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html#resolveKey-T-java.lang.String-org.apache.commons.configuration2.tree.NodeHandler-">resolveKey</a></span>(<a href="../../../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html" title="type parameter in AbstractHierarchicalConfiguration">T</a>&nbsp;root,
          <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
          <a href="../../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="interface in org.apache.commons.configuration2.tree">NodeHandler</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html" title="type parameter in AbstractHierarchicalConfiguration">T</a>&gt;&nbsp;handler)</code>
<div class="block">Performs a query for the specified key on the given root node.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.commons.configuration2.tree">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../org/apache/commons/configuration2/tree/QueryResult.html" title="class in org.apache.commons.configuration2.tree">QueryResult</a> in <a href="../../../../../../org/apache/commons/configuration2/tree/package-summary.html">org.apache.commons.configuration2.tree</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/commons/configuration2/tree/package-summary.html">org.apache.commons.configuration2.tree</a> that return <a href="../../../../../../org/apache/commons/configuration2/tree/QueryResult.html" title="class in org.apache.commons.configuration2.tree">QueryResult</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static &lt;T&gt;&nbsp;<a href="../../../../../../org/apache/commons/configuration2/tree/QueryResult.html" title="class in org.apache.commons.configuration2.tree">QueryResult</a>&lt;T&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">QueryResult.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/tree/QueryResult.html#createAttributeResult-T-java.lang.String-">createAttributeResult</a></span>(T&nbsp;parentNode,
                     <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;attrName)</code>
<div class="block">Creates a <code>QueryResult</code> instance representing an attribute result.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static &lt;T&gt;&nbsp;<a href="../../../../../../org/apache/commons/configuration2/tree/QueryResult.html" title="class in org.apache.commons.configuration2.tree">QueryResult</a>&lt;T&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">QueryResult.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/tree/QueryResult.html#createNodeResult-T-">createNodeResult</a></span>(T&nbsp;resultNode)</code>
<div class="block">Creates a <code>QueryResult</code> instance representing the specified result
 node.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/commons/configuration2/tree/package-summary.html">org.apache.commons.configuration2.tree</a> that return types with arguments of type <a href="../../../../../../org/apache/commons/configuration2/tree/QueryResult.html" title="class in org.apache.commons.configuration2.tree">QueryResult</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/tree/QueryResult.html" title="class in org.apache.commons.configuration2.tree">QueryResult</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">TrackedNodeModel.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/tree/TrackedNodeModel.html#clearTree-java.lang.String-org.apache.commons.configuration2.tree.NodeKeyResolver-">clearTree</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
         <a href="../../../../../../org/apache/commons/configuration2/tree/NodeKeyResolver.html" title="interface in org.apache.commons.configuration2.tree">NodeKeyResolver</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;&nbsp;resolver)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/tree/QueryResult.html" title="class in org.apache.commons.configuration2.tree">QueryResult</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">InMemoryNodeModel.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/tree/InMemoryNodeModel.html#clearTree-java.lang.String-org.apache.commons.configuration2.tree.NodeKeyResolver-">clearTree</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
         <a href="../../../../../../org/apache/commons/configuration2/tree/NodeKeyResolver.html" title="interface in org.apache.commons.configuration2.tree">NodeKeyResolver</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;&nbsp;resolver)</code>
<div class="block">Removes the sub trees defined by the given key from this model.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/tree/QueryResult.html" title="class in org.apache.commons.configuration2.tree">QueryResult</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">InMemoryNodeModel.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/tree/InMemoryNodeModel.html#clearTree-java.lang.String-org.apache.commons.configuration2.tree.NodeSelector-org.apache.commons.configuration2.tree.NodeKeyResolver-">clearTree</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
         <a href="../../../../../../org/apache/commons/configuration2/tree/NodeSelector.html" title="class in org.apache.commons.configuration2.tree">NodeSelector</a>&nbsp;selector,
         <a href="../../../../../../org/apache/commons/configuration2/tree/NodeKeyResolver.html" title="interface in org.apache.commons.configuration2.tree">NodeKeyResolver</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/tree/ImmutableNode.html" title="class in org.apache.commons.configuration2.tree">ImmutableNode</a>&gt;&nbsp;resolver)</code>
<div class="block">Clears a whole sub tree using a tracked node as root node.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/tree/QueryResult.html" title="class in org.apache.commons.configuration2.tree">QueryResult</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/tree/NodeUpdateData.html" title="type parameter in NodeUpdateData">T</a>&gt;,<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">NodeUpdateData.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/tree/NodeUpdateData.html#getChangedValues--">getChangedValues</a></span>()</code>
<div class="block">Returns an unmodifiable map with the values to be changed.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/tree/QueryResult.html" title="class in org.apache.commons.configuration2.tree">QueryResult</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/tree/NodeUpdateData.html" title="type parameter in NodeUpdateData">T</a>&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">NodeUpdateData.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/tree/NodeUpdateData.html#getRemovedNodes--">getRemovedNodes</a></span>()</code>
<div class="block">Adds a collection with the nodes to be removed.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>&lt;T&gt;&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/tree/QueryResult.html" title="class in org.apache.commons.configuration2.tree">QueryResult</a>&lt;T&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">ExpressionEngine.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/tree/ExpressionEngine.html#query-T-java.lang.String-org.apache.commons.configuration2.tree.NodeHandler-">query</a></span>(T&nbsp;root,
     <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
     <a href="../../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="interface in org.apache.commons.configuration2.tree">NodeHandler</a>&lt;T&gt;&nbsp;handler)</code>
<div class="block">Finds the nodes and/or attributes that are matched by the specified key.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>&lt;T&gt;&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/tree/QueryResult.html" title="class in org.apache.commons.configuration2.tree">QueryResult</a>&lt;T&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">DefaultExpressionEngine.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/tree/DefaultExpressionEngine.html#query-T-java.lang.String-org.apache.commons.configuration2.tree.NodeHandler-">query</a></span>(T&nbsp;root,
     <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
     <a href="../../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="interface in org.apache.commons.configuration2.tree">NodeHandler</a>&lt;T&gt;&nbsp;handler)</code>
<div class="block">Finds the nodes and/or attributes that are matched by the specified key.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/tree/QueryResult.html" title="class in org.apache.commons.configuration2.tree">QueryResult</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/tree/NodeKeyResolver.html" title="type parameter in NodeKeyResolver">T</a>&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">NodeKeyResolver.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/tree/NodeKeyResolver.html#resolveKey-T-java.lang.String-org.apache.commons.configuration2.tree.NodeHandler-">resolveKey</a></span>(<a href="../../../../../../org/apache/commons/configuration2/tree/NodeKeyResolver.html" title="type parameter in NodeKeyResolver">T</a>&nbsp;root,
          <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
          <a href="../../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="interface in org.apache.commons.configuration2.tree">NodeHandler</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/tree/NodeKeyResolver.html" title="type parameter in NodeKeyResolver">T</a>&gt;&nbsp;handler)</code>
<div class="block">Performs a query for the specified key on the given root node.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../../../../../org/apache/commons/configuration2/tree/package-summary.html">org.apache.commons.configuration2.tree</a> with type arguments of type <a href="../../../../../../org/apache/commons/configuration2/tree/QueryResult.html" title="class in org.apache.commons.configuration2.tree">QueryResult</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected &lt;T&gt;&nbsp;void</code></td>
<td class="colLast"><span class="typeNameLabel">DefaultExpressionEngine.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/tree/DefaultExpressionEngine.html#findNodesForKey-org.apache.commons.configuration2.tree.DefaultConfigurationKey.KeyIterator-T-java.util.Collection-org.apache.commons.configuration2.tree.NodeHandler-">findNodesForKey</a></span>(<a href="../../../../../../org/apache/commons/configuration2/tree/DefaultConfigurationKey.KeyIterator.html" title="class in org.apache.commons.configuration2.tree">DefaultConfigurationKey.KeyIterator</a>&nbsp;keyPart,
               T&nbsp;node,
               <a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/tree/QueryResult.html" title="class in org.apache.commons.configuration2.tree">QueryResult</a>&lt;T&gt;&gt;&nbsp;results,
               <a href="../../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="interface in org.apache.commons.configuration2.tree">NodeHandler</a>&lt;T&gt;&nbsp;handler)</code>
<div class="block">Recursive helper method for evaluating a key.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructor parameters in <a href="../../../../../../org/apache/commons/configuration2/tree/package-summary.html">org.apache.commons.configuration2.tree</a> with type arguments of type <a href="../../../../../../org/apache/commons/configuration2/tree/QueryResult.html" title="class in org.apache.commons.configuration2.tree">QueryResult</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/tree/NodeUpdateData.html#NodeUpdateData-java.util.Map-java.util.Collection-java.util.Collection-java.lang.String-">NodeUpdateData</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/tree/QueryResult.html" title="class in org.apache.commons.configuration2.tree">QueryResult</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/tree/NodeUpdateData.html" title="type parameter in NodeUpdateData">T</a>&gt;,<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;changedValues,
              <a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;newValues,
              <a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/tree/QueryResult.html" title="class in org.apache.commons.configuration2.tree">QueryResult</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/tree/NodeUpdateData.html" title="type parameter in NodeUpdateData">T</a>&gt;&gt;&nbsp;removedNodes,
              <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key)</code>
<div class="block">Creates a new instance of <code>NodeUpdateData</code> and initializes all its
 properties.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/tree/NodeUpdateData.html#NodeUpdateData-java.util.Map-java.util.Collection-java.util.Collection-java.lang.String-">NodeUpdateData</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/tree/QueryResult.html" title="class in org.apache.commons.configuration2.tree">QueryResult</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/tree/NodeUpdateData.html" title="type parameter in NodeUpdateData">T</a>&gt;,<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;changedValues,
              <a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;newValues,
              <a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/tree/QueryResult.html" title="class in org.apache.commons.configuration2.tree">QueryResult</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/tree/NodeUpdateData.html" title="type parameter in NodeUpdateData">T</a>&gt;&gt;&nbsp;removedNodes,
              <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key)</code>
<div class="block">Creates a new instance of <code>NodeUpdateData</code> and initializes all its
 properties.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.commons.configuration2.tree.xpath">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../org/apache/commons/configuration2/tree/QueryResult.html" title="class in org.apache.commons.configuration2.tree">QueryResult</a> in <a href="../../../../../../org/apache/commons/configuration2/tree/xpath/package-summary.html">org.apache.commons.configuration2.tree.xpath</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/commons/configuration2/tree/xpath/package-summary.html">org.apache.commons.configuration2.tree.xpath</a> that return types with arguments of type <a href="../../../../../../org/apache/commons/configuration2/tree/QueryResult.html" title="class in org.apache.commons.configuration2.tree">QueryResult</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>&lt;T&gt;&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/tree/QueryResult.html" title="class in org.apache.commons.configuration2.tree">QueryResult</a>&lt;T&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">XPathExpressionEngine.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/tree/xpath/XPathExpressionEngine.html#query-T-java.lang.String-org.apache.commons.configuration2.tree.NodeHandler-">query</a></span>(T&nbsp;root,
     <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
     <a href="../../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="interface in org.apache.commons.configuration2.tree">NodeHandler</a>&lt;T&gt;&nbsp;handler)</code>
<div class="block">Finds the nodes and/or attributes that are matched by the specified key.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../org/apache/commons/configuration2/tree/QueryResult.html" title="class in org.apache.commons.configuration2.tree">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/commons/configuration2/tree/class-use/QueryResult.html" target="_top">Frames</a></li>
<li><a href="QueryResult.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
